System.Security 2.0.0.0 4.0.0.0 System.Object

The class encapsulates the <EncryptionProperty> element defined by the World Wide Web Consortium XML Encryption specification located at http://www.w3.org/TR/xmlenc-core/.

Use the class to provide additional encryption information related to the and elements. For example, use this class to specify a time stamp.

Represents the <EncryptionProperty> element used in XML encryption. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class using an object.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  The method returns a representation of the <EncryptionProperty> element.

  Returns an object that encapsulates an instance of the class.

  An object that encapsulates an instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The ID is used to reference the object from another location.

  Gets the ID of the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method configures the object to match the state of an object.

  Parses the input and configures the internal state of the object to match.

  An object to parse.
- Property
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement To be added. To be added.

  Gets or sets an object that represents an object.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the target of the object.